Subject: RE: mmap() support W95/NT in b18
From: [email-masked] (Shane Caraveo)

23 Jan 1998 19:22:02 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>

I have seen an implementation of mmap() for win95/nt in a msql port that was
done for msvc.  I dont know if it could be compiled with cygnus, but it may
be worth looking at.  You can find that msql port through:
http://www.blnet.com/msqlpc

They have two different ports listed, one for cygnus, and one for msvc.  The
mmap port I saw was in the msvc version, but there may be info on porting
mmap in the pages about the cygnus port.

Shane

> I'm trying to port some SW that uses mmap() extensively. The FAQ for
> b18 says the system call on Windows95 is a dummy. But how about
> WindowsNT, is it supposed to work?
>
> Specifically, the program fails on the following system call:
>
> heap = mmap(NULL, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
>             -1, 0);
>
> On Win95, it fails with errno=22 (Invalid argument).
>
> On WindowsNT (3.51), it fails with errno=13 (Permission denied).
>
> The question is
> - Is it supposed to work on any platform?
> - How about the coolview package, any improvement expected there?
> - If not, is there a chance it will be supported in a future version?
>
>
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
>
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".